Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.infra.saci
Class SaciExecutionControl

    java.lang.Object
      saci.Agent
          jason.infra.saci.SaciExecutionControl

All Implemented Interfaces:
  ExecutionControlInfraTier, java.io.Serializable, java.lang.Runnable, saci.launcher.LaunchableAg, saci.launcher.MovableAg

    public class SaciExecutionControl

extends saci.Agent
implements ExecutionControlInfraTier

Concrete execution control implementation based on saci distributed infrastructure.

See Also:
  Serialized Form

Field Summary

Fields inherited from class saci.Agent
`controlAg, mbox, mboxes, properties, running`

Constructor Summary
`SaciExecutionControl()`

Method Summary
`org.w3c.dom.Document` | `getAgState(java.lang.String agName)` Gets the agent state (beliefs, intentions, plans, ...) as an XML document
`RuntimeServicesInfraTier` | `getRuntimeServices()` Gets an object with infrastructure runtime services
`ExecutionControl` | `getUserControl()`
`void` | `informAgToPerformCycle(java.lang.String agName, int cycle)` Informs an agent to continue to its next reasoning cycle.
`void` | `informAllAgsToPerformCycle(int cycle)` Informs all agents to continue to its next reasoning cycle.
`void` | `initAg(java.lang.String[] args)`
`void` | `run()`
`void` | `stopAg()`

Methods inherited from class saci.Agent
`destroy, enterSoc, enterSoc, enterSoc, enterSociety, getControlAg, getLauncher, getMBox, getMBox, getName, getProperty, getSociety, isRunning, leaveAllSocs, leaveSoc, leaveSoc, move, moveMBoxesToLocalHost, onMoved, onMoving, setControlAg, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SaciExecutionControl

    public SaciExecutionControl()

Method Detail

### initAg

    public void initAg(java.lang.String[] args)
                throws JasonException

  Specified by:
    `initAg` in interface `saci.launcher.LaunchableAg`
  Overrides:
    `initAg` in class `saci.Agent`
  Throws:
    `JasonException`

### stopAg

    public void stopAg()

  Specified by:
    `stopAg` in interface `saci.launcher.LaunchableAg`
  Overrides:
    `stopAg` in class `saci.Agent`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `saci.Agent`

### getUserControl

    public ExecutionControl getUserControl()

### informAgToPerformCycle

    public void informAgToPerformCycle(java.lang.String agName,
                                       int cycle)

  Description copied from interface: `ExecutionControlInfraTier`
  Informs an agent to continue to its next reasoning cycle.

  Specified by:
    `informAgToPerformCycle` in interface `ExecutionControlInfraTier`

### informAllAgsToPerformCycle

    public void informAllAgsToPerformCycle(int cycle)

  Description copied from interface: `ExecutionControlInfraTier`
  Informs all agents to continue to its next reasoning cycle.

  Specified by:
    `informAllAgsToPerformCycle` in interface `ExecutionControlInfraTier`

### getAgState

    public org.w3c.dom.Document getAgState(java.lang.String agName)

  Description copied from interface: `ExecutionControlInfraTier`
  Gets the agent state (beliefs, intentions, plans, ...) as an XML document

  Specified by:
    `getAgState` in interface `ExecutionControlInfraTier`

### getRuntimeServices

    public RuntimeServicesInfraTier getRuntimeServices()

  Description copied from interface: `ExecutionControlInfraTier`
  Gets an object with infrastructure runtime services

  Specified by:
    `getRuntimeServices` in interface `ExecutionControlInfraTier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD